#include "FailStateLabel.h"

#include <object/Object.h>

#include <registration/ValuePrinterRegistration.hpp>

namespace label {

FailStateLabel::FailStateLabel() = default;

std::ostream & operator << ( std::ostream & out, const FailStateLabel & ) {
	return out << "(FailStateLabel)";
}

FailStateLabel::operator std::string ( ) const {
	return FailStateLabel::instance < std::string > ( );
}

} /* namespace label */

namespace {

auto valuePrinter = registration::ValuePrinterRegister < label::FailStateLabel > ( );

} /* namespace */
